#  Licensed Materials - Property of IBM
#  5724-M23, 5724-M24
#  Copyright IBM Corporation 2007, 2011. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import java 

if ((len(sys.argv) != 1)):
        print "This script requires 1 parameter: profilePath"
        print "e.g.: <scriptname>.py /opt/WebSphere/Monitor/profiles/MonSrv01"
	raise ValueError	

profilePath = sys.argv[0]
print "profilePath="+profilePath
execfile(profilePath+'/config.wbm/MonitorProfileVals.py')

if (ndType == "managed"):
    try:
        cellName = AdminControl.getCell()
    except:
        print "warning: AdminControl may not be available."    

try:
    # Remove WAS Environment variable WBM_JDBC_DRIVER_PATH
    print "Removing WAS Environment variable WBM_JDBC_DRIVER_PATH"
    execfile(moncommonPath+'/setWASVar.py')
    removeEnvironment(cellName,nodeName,serverName,"WBM_JDBC_DRIVER_PATH")
except:
    print "Error removing variable WBM_JDBC_DRIVER_PATH. Continuing"

AdminConfig.save()
